curl --request POST \
--url https://api-m.sandbox.paypal.com/v2/checkout/orders/{id}/confirm-payment-source \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payment_source": {
"paypal": {
"name": {
"given_name": "John",
"surname": "Doe"
},
"email_address": "customer@example.com",
"experience_context": {
"payment_method_preference": "IMMEDIATE_PAYMENT_REQUIRED",
"payment_method_selected": "PAYPAL",
"brand_name": "EXAMPLE INC",
"locale": "en-US",
"landing_page": "LOGIN",
"shipping_preference": "SET_PROVIDED_ADDRESS",
"user_action": "PAY_NOW",
"return_url": "https://example.com/returnUrl",
"cancel_url": "https://example.com/cancelUrl"
}
}
}
}
'{
"create_time": "<string>",
"update_time": "<string>",
"id": "<string>",
"payment_source": {
"card": {
"name": "<string>",
"last_digits": "<string>",
"available_networks": [],
"authentication_result": {
"three_d_secure": {}
},
"attributes": {
"vault": {
"id": "<string>",
"links": [
{
"href": "<string>",
"rel": "<string>"
}
],
"customer": {
"id": "<string>",
"email_address": "<string>",
"phone": {
"phone_number": {
"national_number": "<string>"
}
},
"name": {
"given_name": "<string>",
"surname": "<string>"
},
"merchant_customer_id": "<string>"
}
}
},
"from_request": {
"expiry": "<string>",
"last_digits": "<string>"
},
"expiry": "<string>",
"bin_details": {
"bin": "<string>",
"issuing_bank": "<string>",
"bin_country_code": "<string>",
"products": [
"<string>"
]
},
"stored_credential": {
"usage": "DERIVED",
"previous_network_transaction_reference": {
"id": "<string>",
"date": "<string>",
"acquirer_reference_number": "<string>"
}
}
},
"paypal": {
"email_address": "<string>",
"account_id": "<string>",
"name": {
"given_name": "<string>",
"surname": "<string>"
},
"phone_number": {
"national_number": "<string>"
},
"birth_date": "<string>",
"business_name": "<string>",
"tax_info": {
"tax_id": "<string>"
},
"address": {
"country_code": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"admin_area_2": "<string>",
"admin_area_1": "<string>",
"postal_code": "<string>"
},
"attributes": {
"vault": {
"id": "<string>",
"links": [
{
"href": "<string>",
"rel": "<string>"
}
],
"customer": {
"id": "<string>",
"email_address": "<string>",
"phone": {
"phone_number": {
"national_number": "<string>"
}
},
"name": {
"given_name": "<string>",
"surname": "<string>"
},
"merchant_customer_id": "<string>"
}
},
"cobranded_cards": [
{
"labels": [
"<string>"
],
"payee": {
"email_address": "<string>",
"merchant_id": "<string>"
},
"amount": {
"currency_code": "<string>",
"value": "<string>"
}
}
]
},
"stored_credential": {
"usage": "DERIVED"
}
},
"bancontact": {
"name": "<string>",
"country_code": "<string>",
"bic": "<string>",
"iban_last_chars": "<string>",
"card_last_digits": "<string>"
},
"blik": {
"name": "<string>",
"country_code": "<string>",
"email": "<string>",
"one_click": {
"consumer_reference": "<string>"
}
},
"eps": {
"name": "<string>",
"country_code": "<string>",
"bic": "<string>"
},
"giropay": {
"name": "<string>",
"country_code": "<string>",
"bic": "<string>"
},
"ideal": {
"name": "<string>",
"country_code": "<string>",
"bic": "<string>",
"iban_last_chars": "<string>"
},
"swish": "<unknown>",
"mybank": {
"name": "<string>",
"country_code": "<string>",
"bic": "<string>",
"iban_last_chars": "<string>"
},
"p24": {
"name": "<string>",
"email": "<string>",
"country_code": "<string>",
"payment_descriptor": "<string>",
"method_id": "<string>",
"method_description": "<string>"
},
"sofort": {
"name": "<string>",
"country_code": "<string>",
"bic": "<string>",
"iban_last_chars": "<string>"
},
"trustly": {
"name": "<string>",
"country_code": "<string>",
"email": "<string>",
"bic": "<string>",
"iban_last_chars": "<string>"
},
"apple_pay": {
"id": "<string>",
"token": "<string>",
"name": "<string>",
"email_address": "<string>",
"phone_number": {
"national_number": "<string>"
},
"card": {
"name": "<string>",
"last_digits": "<string>",
"available_networks": [],
"authentication_result": {
"three_d_secure": {}
},
"attributes": {
"vault": {
"id": "<string>",
"links": [
{
"href": "<string>",
"rel": "<string>"
}
],
"customer": {
"id": "<string>",
"email_address": "<string>",
"phone": {
"phone_number": {
"national_number": "<string>"
}
},
"name": {
"given_name": "<string>",
"surname": "<string>"
},
"merchant_customer_id": "<string>"
}
}
},
"from_request": {
"expiry": "<string>",
"last_digits": "<string>"
},
"expiry": "<string>",
"bin_details": {
"bin": "<string>",
"issuing_bank": "<string>",
"bin_country_code": "<string>",
"products": [
"<string>"
]
},
"stored_credential": {
"usage": "DERIVED",
"previous_network_transaction_reference": {
"id": "<string>",
"date": "<string>",
"acquirer_reference_number": "<string>"
}
},
"billing_address": {
"country_code": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"admin_area_2": "<string>",
"admin_area_1": "<string>",
"postal_code": "<string>"
},
"country_code": "<string>"
},
"attributes": {
"vault": {
"id": "<string>",
"customer": {
"id": "<string>",
"name": {
"given_name": "<string>",
"surname": "<string>"
}
},
"links": [
{
"href": "<string>",
"rel": "<string>"
}
]
}
},
"stored_credential": {
"usage": "DERIVED",
"previous_network_transaction_reference": {
"id": "<string>",
"date": "<string>",
"acquirer_reference_number": "<string>"
}
}
},
"google_pay": {
"name": "<string>",
"email_address": "<string>",
"phone_number": {
"country_code": "<string>",
"national_number": "<string>"
},
"card": {
"name": "<string>",
"last_digits": "<string>",
"billing_address": {
"country_code": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"admin_area_2": "<string>",
"admin_area_1": "<string>",
"postal_code": "<string>"
},
"authentication_result": {
"three_d_secure": {}
}
}
},
"venmo": {
"email_address": "<string>",
"account_id": "<string>",
"user_name": "<string>",
"name": {
"given_name": "<string>",
"surname": "<string>"
},
"phone_number": {
"national_number": "<string>"
},
"address": {
"country_code": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"admin_area_2": "<string>",
"admin_area_1": "<string>",
"postal_code": "<string>"
},
"attributes": {
"vault": {
"id": "<string>",
"customer": {
"id": "<string>",
"name": {
"given_name": "<string>",
"surname": "<string>"
}
},
"links": [
{
"href": "<string>",
"rel": "<string>"
}
]
}
}
},
"crypto": "<unknown>"
},
"processing_instruction": "<unknown>",
"payer": {
"email_address": "<string>",
"payer_id": "<string>",
"name": {
"given_name": "<string>",
"surname": "<string>"
},
"phone": {
"phone_number": {
"national_number": "<string>"
}
},
"birth_date": "<string>",
"tax_info": {
"tax_id": "<string>"
},
"address": {
"country_code": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"admin_area_2": "<string>",
"admin_area_1": "<string>",
"postal_code": "<string>"
}
},
"purchase_units": [
{
"reference_id": "<string>",
"amount": {
"currency_code": "<string>",
"value": "<string>",
"breakdown": {
"item_total": {
"currency_code": "<string>",
"value": "<string>"
},
"shipping": {
"currency_code": "<string>",
"value": "<string>"
},
"handling": {
"currency_code": "<string>",
"value": "<string>"
},
"tax_total": {
"currency_code": "<string>",
"value": "<string>"
},
"insurance": {
"currency_code": "<string>",
"value": "<string>"
},
"shipping_discount": {
"currency_code": "<string>",
"value": "<string>"
},
"discount": {
"currency_code": "<string>",
"value": "<string>"
}
}
},
"payee": {
"email_address": "<string>",
"merchant_id": "<string>"
},
"payment_instruction": {
"platform_fees": [
{
"amount": {
"currency_code": "<string>",
"value": "<string>"
},
"payee": {
"email_address": "<string>",
"merchant_id": "<string>"
}
}
],
"disbursement_mode": "INSTANT",
"payee_pricing_tier_id": "<string>",
"payee_receivable_fx_rate_id": "<string>"
},
"description": "<string>",
"custom_id": "<string>",
"invoice_id": "<string>",
"id": "<string>",
"soft_descriptor": "<string>",
"items": [
{
"name": "<string>",
"unit_amount": {
"currency_code": "<string>",
"value": "<string>"
},
"quantity": "<string>",
"tax": {
"currency_code": "<string>",
"value": "<string>"
},
"description": "<string>",
"sku": "<string>",
"url": "<string>",
"image_url": "<string>",
"upc": {
"code": "<string>"
},
"billing_plan": {
"billing_cycles": [
{
"pricing_scheme": {
"price": {
"currency_code": "<string>",
"value": "<string>"
},
"reload_threshold_amount": {
"currency_code": "<string>",
"value": "<string>"
}
},
"frequency": "<unknown>",
"total_cycles": 1,
"sequence": 1,
"start_date": "<string>"
}
],
"setup_fee": {
"currency_code": "<string>",
"value": "<string>"
},
"name": "<string>"
}
}
],
"shipping": {
"name": {
"full_name": "<string>"
},
"email_address": "<string>",
"phone_number": {
"country_code": "<string>",
"national_number": "<string>"
},
"options": [
{
"id": "<string>",
"label": "<string>",
"selected": true,
"amount": {
"currency_code": "<string>",
"value": "<string>"
}
}
],
"address": {
"country_code": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"admin_area_2": "<string>",
"admin_area_1": "<string>",
"postal_code": "<string>"
},
"trackers": [
{
"id": "<string>",
"items": [
{
"name": "<string>",
"quantity": "<string>",
"sku": "<string>",
"url": "<string>",
"image_url": "<string>",
"upc": {
"code": "<string>"
}
}
],
"links": [
{
"href": "<string>",
"rel": "<string>"
}
],
"create_time": "<string>",
"update_time": "<string>"
}
]
},
"supplementary_data": {
"card": {
"level_2": {
"invoice_id": "<string>",
"tax_total": {
"currency_code": "<string>",
"value": "<string>"
}
},
"level_3": {
"shipping_amount": {
"currency_code": "<string>",
"value": "<string>"
},
"duty_amount": {
"currency_code": "<string>",
"value": "<string>"
},
"discount_amount": {
"currency_code": "<string>",
"value": "<string>"
},
"shipping_address": {
"country_code": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"admin_area_2": "<string>",
"admin_area_1": "<string>",
"postal_code": "<string>"
},
"ships_from_postal_code": "<string>",
"line_items": [
{
"name": "<string>",
"quantity": "<string>",
"description": "<string>",
"sku": "<string>",
"url": "<string>",
"image_url": "<string>",
"upc": {
"code": "<string>"
},
"billing_plan": {
"billing_cycles": [
{
"pricing_scheme": {
"price": {
"currency_code": "<string>",
"value": "<string>"
},
"reload_threshold_amount": {
"currency_code": "<string>",
"value": "<string>"
}
},
"frequency": "<unknown>",
"total_cycles": 1,
"sequence": 1,
"start_date": "<string>"
}
],
"setup_fee": {
"currency_code": "<string>",
"value": "<string>"
},
"name": "<string>"
},
"unit_amount": {
"currency_code": "<string>",
"value": "<string>"
},
"tax": {
"currency_code": "<string>",
"value": "<string>"
},
"commodity_code": "<string>",
"discount_amount": {
"currency_code": "<string>",
"value": "<string>"
},
"total_amount": {
"currency_code": "<string>",
"value": "<string>"
},
"unit_of_measure": "<string>"
}
]
}
},
"risk": {
"customer": {
"ip_address": "<string>"
}
}
},
"payments": {
"authorizations": [
{
"status_details": {},
"id": "<string>",
"amount": {
"currency_code": "<string>",
"value": "<string>"
},
"invoice_id": "<string>",
"custom_id": "<string>",
"network_transaction_reference": {
"id": "<string>",
"date": "<string>",
"acquirer_reference_number": "<string>"
},
"seller_protection": {
"dispute_categories": []
},
"expiration_time": "<string>",
"links": [
{
"href": "<string>",
"rel": "<string>"
}
],
"create_time": "<string>",
"update_time": "<string>",
"processor_response": {}
}
],
"captures": [
{
"status_details": {},
"id": "<string>",
"amount": {
"currency_code": "<string>",
"value": "<string>"
},
"invoice_id": "<string>",
"custom_id": "<string>",
"network_transaction_reference": {
"id": "<string>",
"date": "<string>",
"acquirer_reference_number": "<string>"
},
"seller_protection": {
"dispute_categories": []
},
"final_capture": false,
"seller_receivable_breakdown": {
"gross_amount": {
"currency_code": "<string>",
"value": "<string>"
},
"paypal_fee": {
"currency_code": "<string>",
"value": "<string>"
},
"paypal_fee_in_receivable_currency": {
"currency_code": "<string>",
"value": "<string>"
},
"net_amount": {
"currency_code": "<string>",
"value": "<string>"
},
"receivable_amount": {
"currency_code": "<string>",
"value": "<string>"
},
"exchange_rate": {
"source_currency": "<string>",
"target_currency": "<string>",
"value": "<string>"
},
"platform_fees": [
{
"amount": {
"currency_code": "<string>",
"value": "<string>"
},
"payee": {
"email_address": "<string>",
"merchant_id": "<string>"
}
}
]
},
"disbursement_mode": "INSTANT",
"links": [
{
"href": "<string>",
"rel": "<string>"
}
],
"processor_response": {},
"create_time": "<string>",
"update_time": "<string>"
}
],
"refunds": [
{
"status_details": {
"reason": "ECHECK"
},
"id": "<string>",
"amount": {
"currency_code": "<string>",
"value": "<string>"
},
"invoice_id": "<string>",
"custom_id": "<string>",
"acquirer_reference_number": "<string>",
"note_to_payer": "<string>",
"seller_payable_breakdown": {
"gross_amount": {
"currency_code": "<string>",
"value": "<string>"
},
"paypal_fee": {
"currency_code": "<string>",
"value": "<string>"
},
"paypal_fee_in_receivable_currency": {
"currency_code": "<string>",
"value": "<string>"
},
"net_amount": {
"currency_code": "<string>",
"value": "<string>"
},
"net_amount_in_receivable_currency": {
"currency_code": "<string>",
"value": "<string>"
},
"platform_fees": [
{
"amount": {
"currency_code": "<string>",
"value": "<string>"
},
"payee": {
"email_address": "<string>",
"merchant_id": "<string>"
}
}
],
"net_amount_breakdown": [
{
"payable_amount": {
"currency_code": "<string>",
"value": "<string>"
},
"converted_amount": {
"currency_code": "<string>",
"value": "<string>"
},
"exchange_rate": {
"source_currency": "<string>",
"target_currency": "<string>",
"value": "<string>"
}
}
],
"total_refunded_amount": {
"currency_code": "<string>",
"value": "<string>"
}
},
"payer": {
"email_address": "<string>",
"merchant_id": "<string>"
},
"links": [
{
"href": "<string>",
"rel": "<string>"
}
],
"create_time": "<string>",
"update_time": "<string>"
}
]
},
"most_recent_errors": [
"<unknown>"
]
}
],
"links": [
{
"href": "<string>",
"rel": "<string>"
}
]
}{
"name": "INVALID_REQUEST",
"message": "Request is not well-formed, syntactically incorrect, or violates schema.",
"details": [
{
"issue": "INVALID_PARAMETER_SYNTAX",
"field": "<string>",
"value": "<string>",
"location": "body",
"description": "The value of the field does not conform to the expected format."
}
],
"debug_id": "<string>",
"links": [
{
"href": "<string>",
"rel": "<string>"
}
]
}{
"name": "NOT_AUTHORIZED",
"message": "Authorization failed due to insufficient permissions.",
"details": [
{
"issue": "PERMISSION_DENIED",
"field": "<string>",
"value": "<string>",
"location": "body",
"description": "You do not have permission to access or perform operations on this resource."
}
],
"debug_id": "<string>",
"links": [
{
"href": "<string>",
"rel": "<string>"
}
]
}{
"name": "UNPROCESSABLE_ENTITY",
"message": "The requested action could not be performed, semantically incorrect, or failed business validation.",
"details": [
{
"issue": "ORDER_ALREADY_CAPTURED",
"field": "<string>",
"value": "<string>",
"location": "body",
"description": "Order already captured. If 'intent=CAPTURE' only one capture per order is allowed."
}
],
"debug_id": "<string>",
"links": [
{
"href": "<string>",
"rel": "<string>"
}
]
}{
"name": "INTERNAL_SERVER_ERROR",
"message": "An internal server error occurred.",
"debug_id": "90957fca61718",
"links": [
{
"href": "https://developer.paypal.com/api/orders/v2/#error-INTERNAL_SERVER_ERROR",
"rel": "information_link"
}
]
}{
"name": "INVALID_REQUEST",
"message": "Request is not well-formed, syntactically incorrect, or violates schema.",
"details": [
{
"issue": "<string>",
"field": "<string>",
"value": "<string>",
"location": "body",
"description": "<string>"
}
],
"debug_id": "<string>",
"links": [
{
"href": "<string>",
"rel": "<string>"
}
]
}Payer confirms their intent to pay for the the Order with the given payment source.
curl --request POST \
--url https://api-m.sandbox.paypal.com/v2/checkout/orders/{id}/confirm-payment-source \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payment_source": {
"paypal": {
"name": {
"given_name": "John",
"surname": "Doe"
},
"email_address": "customer@example.com",
"experience_context": {
"payment_method_preference": "IMMEDIATE_PAYMENT_REQUIRED",
"payment_method_selected": "PAYPAL",
"brand_name": "EXAMPLE INC",
"locale": "en-US",
"landing_page": "LOGIN",
"shipping_preference": "SET_PROVIDED_ADDRESS",
"user_action": "PAY_NOW",
"return_url": "https://example.com/returnUrl",
"cancel_url": "https://example.com/cancelUrl"
}
}
}
}
'{
"create_time": "<string>",
"update_time": "<string>",
"id": "<string>",
"payment_source": {
"card": {
"name": "<string>",
"last_digits": "<string>",
"available_networks": [],
"authentication_result": {
"three_d_secure": {}
},
"attributes": {
"vault": {
"id": "<string>",
"links": [
{
"href": "<string>",
"rel": "<string>"
}
],
"customer": {
"id": "<string>",
"email_address": "<string>",
"phone": {
"phone_number": {
"national_number": "<string>"
}
},
"name": {
"given_name": "<string>",
"surname": "<string>"
},
"merchant_customer_id": "<string>"
}
}
},
"from_request": {
"expiry": "<string>",
"last_digits": "<string>"
},
"expiry": "<string>",
"bin_details": {
"bin": "<string>",
"issuing_bank": "<string>",
"bin_country_code": "<string>",
"products": [
"<string>"
]
},
"stored_credential": {
"usage": "DERIVED",
"previous_network_transaction_reference": {
"id": "<string>",
"date": "<string>",
"acquirer_reference_number": "<string>"
}
}
},
"paypal": {
"email_address": "<string>",
"account_id": "<string>",
"name": {
"given_name": "<string>",
"surname": "<string>"
},
"phone_number": {
"national_number": "<string>"
},
"birth_date": "<string>",
"business_name": "<string>",
"tax_info": {
"tax_id": "<string>"
},
"address": {
"country_code": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"admin_area_2": "<string>",
"admin_area_1": "<string>",
"postal_code": "<string>"
},
"attributes": {
"vault": {
"id": "<string>",
"links": [
{
"href": "<string>",
"rel": "<string>"
}
],
"customer": {
"id": "<string>",
"email_address": "<string>",
"phone": {
"phone_number": {
"national_number": "<string>"
}
},
"name": {
"given_name": "<string>",
"surname": "<string>"
},
"merchant_customer_id": "<string>"
}
},
"cobranded_cards": [
{
"labels": [
"<string>"
],
"payee": {
"email_address": "<string>",
"merchant_id": "<string>"
},
"amount": {
"currency_code": "<string>",
"value": "<string>"
}
}
]
},
"stored_credential": {
"usage": "DERIVED"
}
},
"bancontact": {
"name": "<string>",
"country_code": "<string>",
"bic": "<string>",
"iban_last_chars": "<string>",
"card_last_digits": "<string>"
},
"blik": {
"name": "<string>",
"country_code": "<string>",
"email": "<string>",
"one_click": {
"consumer_reference": "<string>"
}
},
"eps": {
"name": "<string>",
"country_code": "<string>",
"bic": "<string>"
},
"giropay": {
"name": "<string>",
"country_code": "<string>",
"bic": "<string>"
},
"ideal": {
"name": "<string>",
"country_code": "<string>",
"bic": "<string>",
"iban_last_chars": "<string>"
},
"swish": "<unknown>",
"mybank": {
"name": "<string>",
"country_code": "<string>",
"bic": "<string>",
"iban_last_chars": "<string>"
},
"p24": {
"name": "<string>",
"email": "<string>",
"country_code": "<string>",
"payment_descriptor": "<string>",
"method_id": "<string>",
"method_description": "<string>"
},
"sofort": {
"name": "<string>",
"country_code": "<string>",
"bic": "<string>",
"iban_last_chars": "<string>"
},
"trustly": {
"name": "<string>",
"country_code": "<string>",
"email": "<string>",
"bic": "<string>",
"iban_last_chars": "<string>"
},
"apple_pay": {
"id": "<string>",
"token": "<string>",
"name": "<string>",
"email_address": "<string>",
"phone_number": {
"national_number": "<string>"
},
"card": {
"name": "<string>",
"last_digits": "<string>",
"available_networks": [],
"authentication_result": {
"three_d_secure": {}
},
"attributes": {
"vault": {
"id": "<string>",
"links": [
{
"href": "<string>",
"rel": "<string>"
}
],
"customer": {
"id": "<string>",
"email_address": "<string>",
"phone": {
"phone_number": {
"national_number": "<string>"
}
},
"name": {
"given_name": "<string>",
"surname": "<string>"
},
"merchant_customer_id": "<string>"
}
}
},
"from_request": {
"expiry": "<string>",
"last_digits": "<string>"
},
"expiry": "<string>",
"bin_details": {
"bin": "<string>",
"issuing_bank": "<string>",
"bin_country_code": "<string>",
"products": [
"<string>"
]
},
"stored_credential": {
"usage": "DERIVED",
"previous_network_transaction_reference": {
"id": "<string>",
"date": "<string>",
"acquirer_reference_number": "<string>"
}
},
"billing_address": {
"country_code": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"admin_area_2": "<string>",
"admin_area_1": "<string>",
"postal_code": "<string>"
},
"country_code": "<string>"
},
"attributes": {
"vault": {
"id": "<string>",
"customer": {
"id": "<string>",
"name": {
"given_name": "<string>",
"surname": "<string>"
}
},
"links": [
{
"href": "<string>",
"rel": "<string>"
}
]
}
},
"stored_credential": {
"usage": "DERIVED",
"previous_network_transaction_reference": {
"id": "<string>",
"date": "<string>",
"acquirer_reference_number": "<string>"
}
}
},
"google_pay": {
"name": "<string>",
"email_address": "<string>",
"phone_number": {
"country_code": "<string>",
"national_number": "<string>"
},
"card": {
"name": "<string>",
"last_digits": "<string>",
"billing_address": {
"country_code": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"admin_area_2": "<string>",
"admin_area_1": "<string>",
"postal_code": "<string>"
},
"authentication_result": {
"three_d_secure": {}
}
}
},
"venmo": {
"email_address": "<string>",
"account_id": "<string>",
"user_name": "<string>",
"name": {
"given_name": "<string>",
"surname": "<string>"
},
"phone_number": {
"national_number": "<string>"
},
"address": {
"country_code": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"admin_area_2": "<string>",
"admin_area_1": "<string>",
"postal_code": "<string>"
},
"attributes": {
"vault": {
"id": "<string>",
"customer": {
"id": "<string>",
"name": {
"given_name": "<string>",
"surname": "<string>"
}
},
"links": [
{
"href": "<string>",
"rel": "<string>"
}
]
}
}
},
"crypto": "<unknown>"
},
"processing_instruction": "<unknown>",
"payer": {
"email_address": "<string>",
"payer_id": "<string>",
"name": {
"given_name": "<string>",
"surname": "<string>"
},
"phone": {
"phone_number": {
"national_number": "<string>"
}
},
"birth_date": "<string>",
"tax_info": {
"tax_id": "<string>"
},
"address": {
"country_code": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"admin_area_2": "<string>",
"admin_area_1": "<string>",
"postal_code": "<string>"
}
},
"purchase_units": [
{
"reference_id": "<string>",
"amount": {
"currency_code": "<string>",
"value": "<string>",
"breakdown": {
"item_total": {
"currency_code": "<string>",
"value": "<string>"
},
"shipping": {
"currency_code": "<string>",
"value": "<string>"
},
"handling": {
"currency_code": "<string>",
"value": "<string>"
},
"tax_total": {
"currency_code": "<string>",
"value": "<string>"
},
"insurance": {
"currency_code": "<string>",
"value": "<string>"
},
"shipping_discount": {
"currency_code": "<string>",
"value": "<string>"
},
"discount": {
"currency_code": "<string>",
"value": "<string>"
}
}
},
"payee": {
"email_address": "<string>",
"merchant_id": "<string>"
},
"payment_instruction": {
"platform_fees": [
{
"amount": {
"currency_code": "<string>",
"value": "<string>"
},
"payee": {
"email_address": "<string>",
"merchant_id": "<string>"
}
}
],
"disbursement_mode": "INSTANT",
"payee_pricing_tier_id": "<string>",
"payee_receivable_fx_rate_id": "<string>"
},
"description": "<string>",
"custom_id": "<string>",
"invoice_id": "<string>",
"id": "<string>",
"soft_descriptor": "<string>",
"items": [
{
"name": "<string>",
"unit_amount": {
"currency_code": "<string>",
"value": "<string>"
},
"quantity": "<string>",
"tax": {
"currency_code": "<string>",
"value": "<string>"
},
"description": "<string>",
"sku": "<string>",
"url": "<string>",
"image_url": "<string>",
"upc": {
"code": "<string>"
},
"billing_plan": {
"billing_cycles": [
{
"pricing_scheme": {
"price": {
"currency_code": "<string>",
"value": "<string>"
},
"reload_threshold_amount": {
"currency_code": "<string>",
"value": "<string>"
}
},
"frequency": "<unknown>",
"total_cycles": 1,
"sequence": 1,
"start_date": "<string>"
}
],
"setup_fee": {
"currency_code": "<string>",
"value": "<string>"
},
"name": "<string>"
}
}
],
"shipping": {
"name": {
"full_name": "<string>"
},
"email_address": "<string>",
"phone_number": {
"country_code": "<string>",
"national_number": "<string>"
},
"options": [
{
"id": "<string>",
"label": "<string>",
"selected": true,
"amount": {
"currency_code": "<string>",
"value": "<string>"
}
}
],
"address": {
"country_code": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"admin_area_2": "<string>",
"admin_area_1": "<string>",
"postal_code": "<string>"
},
"trackers": [
{
"id": "<string>",
"items": [
{
"name": "<string>",
"quantity": "<string>",
"sku": "<string>",
"url": "<string>",
"image_url": "<string>",
"upc": {
"code": "<string>"
}
}
],
"links": [
{
"href": "<string>",
"rel": "<string>"
}
],
"create_time": "<string>",
"update_time": "<string>"
}
]
},
"supplementary_data": {
"card": {
"level_2": {
"invoice_id": "<string>",
"tax_total": {
"currency_code": "<string>",
"value": "<string>"
}
},
"level_3": {
"shipping_amount": {
"currency_code": "<string>",
"value": "<string>"
},
"duty_amount": {
"currency_code": "<string>",
"value": "<string>"
},
"discount_amount": {
"currency_code": "<string>",
"value": "<string>"
},
"shipping_address": {
"country_code": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"admin_area_2": "<string>",
"admin_area_1": "<string>",
"postal_code": "<string>"
},
"ships_from_postal_code": "<string>",
"line_items": [
{
"name": "<string>",
"quantity": "<string>",
"description": "<string>",
"sku": "<string>",
"url": "<string>",
"image_url": "<string>",
"upc": {
"code": "<string>"
},
"billing_plan": {
"billing_cycles": [
{
"pricing_scheme": {
"price": {
"currency_code": "<string>",
"value": "<string>"
},
"reload_threshold_amount": {
"currency_code": "<string>",
"value": "<string>"
}
},
"frequency": "<unknown>",
"total_cycles": 1,
"sequence": 1,
"start_date": "<string>"
}
],
"setup_fee": {
"currency_code": "<string>",
"value": "<string>"
},
"name": "<string>"
},
"unit_amount": {
"currency_code": "<string>",
"value": "<string>"
},
"tax": {
"currency_code": "<string>",
"value": "<string>"
},
"commodity_code": "<string>",
"discount_amount": {
"currency_code": "<string>",
"value": "<string>"
},
"total_amount": {
"currency_code": "<string>",
"value": "<string>"
},
"unit_of_measure": "<string>"
}
]
}
},
"risk": {
"customer": {
"ip_address": "<string>"
}
}
},
"payments": {
"authorizations": [
{
"status_details": {},
"id": "<string>",
"amount": {
"currency_code": "<string>",
"value": "<string>"
},
"invoice_id": "<string>",
"custom_id": "<string>",
"network_transaction_reference": {
"id": "<string>",
"date": "<string>",
"acquirer_reference_number": "<string>"
},
"seller_protection": {
"dispute_categories": []
},
"expiration_time": "<string>",
"links": [
{
"href": "<string>",
"rel": "<string>"
}
],
"create_time": "<string>",
"update_time": "<string>",
"processor_response": {}
}
],
"captures": [
{
"status_details": {},
"id": "<string>",
"amount": {
"currency_code": "<string>",
"value": "<string>"
},
"invoice_id": "<string>",
"custom_id": "<string>",
"network_transaction_reference": {
"id": "<string>",
"date": "<string>",
"acquirer_reference_number": "<string>"
},
"seller_protection": {
"dispute_categories": []
},
"final_capture": false,
"seller_receivable_breakdown": {
"gross_amount": {
"currency_code": "<string>",
"value": "<string>"
},
"paypal_fee": {
"currency_code": "<string>",
"value": "<string>"
},
"paypal_fee_in_receivable_currency": {
"currency_code": "<string>",
"value": "<string>"
},
"net_amount": {
"currency_code": "<string>",
"value": "<string>"
},
"receivable_amount": {
"currency_code": "<string>",
"value": "<string>"
},
"exchange_rate": {
"source_currency": "<string>",
"target_currency": "<string>",
"value": "<string>"
},
"platform_fees": [
{
"amount": {
"currency_code": "<string>",
"value": "<string>"
},
"payee": {
"email_address": "<string>",
"merchant_id": "<string>"
}
}
]
},
"disbursement_mode": "INSTANT",
"links": [
{
"href": "<string>",
"rel": "<string>"
}
],
"processor_response": {},
"create_time": "<string>",
"update_time": "<string>"
}
],
"refunds": [
{
"status_details": {
"reason": "ECHECK"
},
"id": "<string>",
"amount": {
"currency_code": "<string>",
"value": "<string>"
},
"invoice_id": "<string>",
"custom_id": "<string>",
"acquirer_reference_number": "<string>",
"note_to_payer": "<string>",
"seller_payable_breakdown": {
"gross_amount": {
"currency_code": "<string>",
"value": "<string>"
},
"paypal_fee": {
"currency_code": "<string>",
"value": "<string>"
},
"paypal_fee_in_receivable_currency": {
"currency_code": "<string>",
"value": "<string>"
},
"net_amount": {
"currency_code": "<string>",
"value": "<string>"
},
"net_amount_in_receivable_currency": {
"currency_code": "<string>",
"value": "<string>"
},
"platform_fees": [
{
"amount": {
"currency_code": "<string>",
"value": "<string>"
},
"payee": {
"email_address": "<string>",
"merchant_id": "<string>"
}
}
],
"net_amount_breakdown": [
{
"payable_amount": {
"currency_code": "<string>",
"value": "<string>"
},
"converted_amount": {
"currency_code": "<string>",
"value": "<string>"
},
"exchange_rate": {
"source_currency": "<string>",
"target_currency": "<string>",
"value": "<string>"
}
}
],
"total_refunded_amount": {
"currency_code": "<string>",
"value": "<string>"
}
},
"payer": {
"email_address": "<string>",
"merchant_id": "<string>"
},
"links": [
{
"href": "<string>",
"rel": "<string>"
}
],
"create_time": "<string>",
"update_time": "<string>"
}
]
},
"most_recent_errors": [
"<unknown>"
]
}
],
"links": [
{
"href": "<string>",
"rel": "<string>"
}
]
}{
"name": "INVALID_REQUEST",
"message": "Request is not well-formed, syntactically incorrect, or violates schema.",
"details": [
{
"issue": "INVALID_PARAMETER_SYNTAX",
"field": "<string>",
"value": "<string>",
"location": "body",
"description": "The value of the field does not conform to the expected format."
}
],
"debug_id": "<string>",
"links": [
{
"href": "<string>",
"rel": "<string>"
}
]
}{
"name": "NOT_AUTHORIZED",
"message": "Authorization failed due to insufficient permissions.",
"details": [
{
"issue": "PERMISSION_DENIED",
"field": "<string>",
"value": "<string>",
"location": "body",
"description": "You do not have permission to access or perform operations on this resource."
}
],
"debug_id": "<string>",
"links": [
{
"href": "<string>",
"rel": "<string>"
}
]
}{
"name": "UNPROCESSABLE_ENTITY",
"message": "The requested action could not be performed, semantically incorrect, or failed business validation.",
"details": [
{
"issue": "ORDER_ALREADY_CAPTURED",
"field": "<string>",
"value": "<string>",
"location": "body",
"description": "Order already captured. If 'intent=CAPTURE' only one capture per order is allowed."
}
],
"debug_id": "<string>",
"links": [
{
"href": "<string>",
"rel": "<string>"
}
]
}{
"name": "INTERNAL_SERVER_ERROR",
"message": "An internal server error occurred.",
"debug_id": "90957fca61718",
"links": [
{
"href": "https://developer.paypal.com/api/orders/v2/#error-INTERNAL_SERVER_ERROR",
"rel": "information_link"
}
]
}{
"name": "INVALID_REQUEST",
"message": "Request is not well-formed, syntactically incorrect, or violates schema.",
"details": [
{
"issue": "<string>",
"field": "<string>",
"value": "<string>",
"location": "body",
"description": "<string>"
}
],
"debug_id": "<string>",
"links": [
{
"href": "<string>",
"rel": "<string>"
}
]
}Authorizations
Oauth 2.0 authentication
Headers
1 - 36An API-caller-provided JSON Web Token (JWT) assertion that identifies the merchant. For details, see PayPal-Auth-Assertion.
The preferred server response upon successful completion of the request. Value is:
return=minimal. The server returns a minimal response to optimize communication between the API caller and the server. A minimal response includes theid,statusand HATEOAS links.return=representation. The server returns a complete resource representation, including the current state of the resource.
1 - 25^[a-zA-Z=,-]*$Path Parameters
The ID of the order that the tracking information is associated with.
1 - 36^[A-Z0-9]+$Body
Payer confirms the intent to pay for the Order using the provided payment source.
Response
A successful request indicates that the payment source was added to the Order. A successful request returns the HTTP 200 OK status code with a JSON response body that shows order details.
The order details.
The date and time when the transaction occurred, in Internet date and time format.
20 - 64^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])[T,t]([0-1][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)([.][0-9]+)?([Zz]|[+-][0-9]{2}:[0-9]{2})$The date and time when the transaction was last updated, in Internet date and time format.
20 - 64^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])[T,t]([0-1][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)([.][0-9]+)?([Zz]|[+-][0-9]{2}:[0-9]{2})$The ID of the order.
The payment source used to fund the payment.
Show child attributes
Show child attributes
The intent to either capture payment immediately or authorize a payment for an order after order creation.
CAPTURE, AUTHORIZE DEPRECATED. The customer is also known as the payer. The Payer object was intended to only be used with the payment_source.paypal object. In order to make this design more clear, the details in the payer object are now available under payment_source.paypal. Please use payment_source.paypal.
Show child attributes
Show child attributes
An array of purchase units. Each purchase unit establishes a contract between a customer and merchant. Each purchase unit represents either a full or partial order that the customer intends to purchase from the merchant.
1 - 10 elementsShow child attributes
Show child attributes
The order status.
CREATED, SAVED, APPROVED, VOIDED, COMPLETED, PAYER_ACTION_REQUIRED 1 - 255^[0-9A-Z_]+$An array of request-related HATEOAS links. To complete payer approval, use the approve link to redirect the payer. The API caller has 6 hours (default setting, this which can be changed by your account manager to 24/48/72 hours to accommodate your use case) from the time the order is created, to redirect your payer. Once redirected, the API caller has 6 hours for the payer to approve the order and either authorize or capture the order. If you are not using the PayPal JavaScript SDK to initiate PayPal Checkout (in context) ensure that you include application_context.return_url is specified or you will get "We're sorry, Things don't appear to be working at the moment" after the payer approves the payment.
Show child attributes
Show child attributes
Was this page helpful?